/* LSAGPI                                       */
/* Desarrollado por Miguel Angel Pescador Santirso  */
/* mescadorsantirso@gmail.com                       */

/* LICENCIA X11/MIT
Copyright (c) 2010 Miguel Angel Pescador Santirso

Se autoriza, de forma gratuita, a cualquier
persona que ha obtenido una copia de este software y
archivos asociados de documentación (el "Software"), para tratar en el
Software sin restricción, incluyendo sin ninguna limitación en lo que concierne
los derechos para usar, copiar, modificar, fusionar, publicar,
distribuir, sublicenciar, y / o vender copias de este
Software, y para permitir a las personas que usan el Software para
hacerlo, con sujeción a las siguientes condiciones:

El aviso de copyright anterior y este aviso de permiso
se incluirá en todas las copias o partes sustanciales de
este Software.

EL SOFTWARE SE ENTREGA "TAL CUAL", SIN GARANTÍA DE NINGÚN
TIPO, EXPRESA o implícita, no limitado a la GARANTÍAS DE
COMERCIALIZACIÓN, CAPACIDAD DE HACER Y DE NO INFRACCIÓN DE COPYRIGHT. EN NINGÚN
CASO LOS AUTORES O TITULARES DEL COPYRIGHT SERÁN RESPONSABLES DE
NINGUNA RECLAMACIÓN, daños o OTRAS RESPONSABILIDADES,
YA SEA EN UN LITIGIO, agravio o DE OTRO MODO,
DERIVADAS DE, FUERA DE O EN CONEXION CON EL
SOFTWARE SU UTILIZACIÓN U OTRAS OPERACIONES EN EL SOFTWARE.
*/

package lsagpi;

/**
 * Clase que almacena el valor de una variable
 * @author Miguel Angel Pescador Santirso
 */
public class Variable {
    String nombre=new String();
    String valorCadena=new String();
    int valorEntero=0;
    /** 
     * Constructor genérico todos los valores vacios.
     */
    public Variable(){

    }
    /**
     * Contructor para variables tipo cadena.
     * @param cadena Nombre de la variable.
     * @param valor Valor de la Variable.
     */
    public Variable (String cadena, String valor){
        nombre=cadena;
        valorCadena=valor;

    }
    /**
     * Contructor para variables tipo entero.
     * @param cadena Nombre de la variable.
     * @param valor Valor de la Variable.
     */
    public Variable (String cadena, int valor){
        nombre=cadena;
        valorEntero=valor;
    }
    
    /**
     * Devuelve el nombre de la variable.
     * @return String con el nombre de la variable.
     */
    public String getNombre(){
        return nombre;
    }
    /**
     * Devuelve el valor de la variable tipo cadena.
     * @return String con el valor de la variable.
     */
    public String getCadena(){
        return valorCadena;
    }
    /**
     * Devuelve el valor de la variable tipo entero.
     * @return int con el valor de la variable.
     */
    public int getEntero(){
        return valorEntero;
    }
    /**
     * Modifica el valor de la cadena.
     * @param cadena Nuevo valor de la variable.
     */
    public void setCadena(String cadena){
        valorCadena=cadena;
    }
    /**
     * Modifica el valor del entero.
     * @param entero Nuevo valor de la variable.
     */
    public void setEntero(int entero){
        valorEntero=entero;
    }
    /**
     * Modifica el nombre de la variable.
     * @param nombrevar
     */
    public void setNombre(String nombrevar){
        nombre=nombrevar;
    }
}
